//
//  CoreDataMapsViewController.h
//  CoreDataMaps
//
//  Created by Patrick Hughes on 2/10/10.
//  Copyright Fluffy Bunny Software 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <CoreData/CoreData.h>
#import <CoreLocation/CoreLocation.h>

@interface CoreDataMapsViewController : UIViewController <NSFetchedResultsControllerDelegate, MKMapViewDelegate, CLLocationManagerDelegate> {
	IBOutlet MKMapView *mapView;
	IBOutlet UIView *mapOverlay;
	IBOutlet UIView *formOverlay;
	IBOutlet UITextField *nameField;
	
	NSPredicate *predicateTemplate;
	
	NSFetchedResultsController *fetchedResultsController;
	NSManagedObjectContext *managedObjectContext;
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;

@end

